class CrcFileSetIndexer < Hyrax::FileSetIndexer
  def self.facet_fields
    # solr fields that will be treated as facets
    super.tap do |fields|
      fields[Solrizer.solr_name('for_complex_identifier', :facetable)] = object.for_complex_identifier
      fields[Solrizer.solr_name('for_complex_type', :facetable)] = object.for_complex_type
    end
  end

  def self.search_fields
    # solr fields that will be used for a search
    super.tap do |fields|
      fields[Solrizer.solr_name('for_complex_identifier', :stored_searchable)] = object.for_complex_identifier
      fields[Solrizer.solr_name('for_complex_type', :stored_searchable)] = object.for_complex_type
    end
  end

  def self.show_fields
    # solr fields that will be used to display results on the record page
    super.tap do |fields|
      fields[Solrizer.solr_name('for_complex_identifier', :stored_searchable)] = object.for_complex_identifier
      fields[Solrizer.solr_name('for_complex_type', :stored_searchable)] = object.for_complex_type
    end
  end
end